Maintained by: NLnet Labs

unbound 1.5.10 does not build on Solaris

Ralph Dolmans
Mon Nov 14 10:17:38 CET 2016


Hi Stefan,

Our code repository already contains a fix for this issue. Also see:
https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=838 .

Regards,
-- Ralph

On 12-11-16 18:51, qutic development via Unbound-users wrote:
> Hi,
> 
> latest unbound 1.5.10 does not build on Solaris. It stops with the following error:
> 
> ./libtool --tag=CC --mode=compile /opt/gcc-4.8.1/bin/gcc -I. -D_OPENBSD_SOURCE  -I/usr/local/include -std=c99 -flto -D_REENTRANT -pthreads -o unbound-checkconf.lo -c `cat .source`
> libtool: compile:  /opt/gcc-4.8.1/bin/gcc -I. -D_OPENBSD_SOURCE -I/usr/local/include -std=c99 -flto -D_REENTRANT -pthreads -c smallapp/unbound-checkconf.c  -fPIC -DPIC -o .libs/unbound-checkconf.o
> smallapp/unbound-checkconf.c: In function 'checkconf':
> smallapp/unbound-checkconf.c:489:13: error: 'PATH_MAX' undeclared (first use in this function)
>   char oldwd[PATH_MAX];
>              ^
> smallapp/unbound-checkconf.c:489:13: note: each undeclared identifier is reported only once for each function it appears in
> *** Error code 1
> make: Fatal error: Command failed for target `unbound-checkconf.lo'
> 
> The reason is, that limits.h needs to be included on Solaris and Illumos. The following patch fixes it:
> 
> https://github.com/jfqd/omnios-build/blob/151014/build/unbound/patches/limits.patch
> 
> Would it possible to include it?
> 
> - Stefan
>